Last Comment Bug 477840 - Backport KompoZer to Composer
: Backport KompoZer to Composer
Status: NEW
: meta
Product: Composer
Classification: Client Software
Component: General (show other bugs)
: other
: All All
: -- enhancement with 8 votes (vote)
: ---
Assigned To: Daniel Glazman (:glazou)
:
:
Mentors:
Depends on: 477845
Blocks: 84303 256570 413869
  Show dependency treegraph
 
Reported: 2009-02-10 10:20 PST by Serge Gautherie (:sgautherie)
Modified: 2016-04-15 11:28 PDT (History)
39 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Serge Gautherie (:sgautherie) 2009-02-10 10:20:14 PST
(Talked about this at FOSDEM'09.)

KompoZer (which is based on Nvu code) is currently built using Gecko 1.8.1 ... and would like to upgrade to Gecko 1.9.1.
http://kompozer.net/

SeaMonkey(/Composer) v2.0pre is currently developed using Gecko 1.9.1 ... and would be interested in bug fixes and new features from KompoZer.

***

Verbosio: An Extensible XML Editor Architecture
http://verbosio.mozdev.org/index.html
might be of interest too !?
Comment 1 Alex Vincent [:WeirdAl] 2009-02-10 14:40:31 PST
Forget about Verbosio for now, it's nowhere near ready.
Comment 2 Serge Gautherie (:sgautherie) 2009-10-05 10:27:39 PDT
Summary of EU MozCamp 2009 discussion:

KompoZer 0.8 should soon be available,
SeaMonkey 2.0 should soon be available,
after that, both teams should (be able to) work toward un-forking future KompoZer 0.9 and SeaMonkey 2.1 codes as much as possible.
Comment 3 Fabien Cazenave [:kaze] 2009-10-05 18:47:16 PDT
As KompoZer's lead, I confirm I can start working on this as soon as bug 477845 is solved.
Comment 4 Rainer Bielefeld 2016-04-15 09:39:42 PDT
What's the status here?
Comment 5 Lewis Rosenthal 2016-04-15 11:28:34 PDT
Shouldn't this be closed as WONTFIX in favor of backporting Blue Griffin (http://bluegriffon.org/)? Development of KompoZer effectively stopped in 2011 (http://kazhack.org/?post/2011/06/13/One-Year-At-INRIA), which is now nearly five years ago. The last stable release of KompoZer was 0.7.10, released in August 2007.

Ian: If this bug is indeed WONTFIX, then the block should be removed from 256570, I guess.

Note You need to log in before you can comment on or make changes to this bug.